Loading...
Searching...
No Matches
gtsam::PredecessorMap< KEY > Class Template Reference

## Detailed Description

template<class KEY>
class gtsam::PredecessorMap< KEY >

Map from variable key to parent key.

Inheritance diagram for gtsam::PredecessorMap< KEY >:

## Public Member Functions

void | insert (const KEY &key, const KEY &parent)
| convenience insert so we can pass ints for TypedSymbol keys

The documentation for this class was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/inference/graph.h